### Constructor

# Gio BufferedOutputStream new

#### Declaration [src]

    GOutputStream*
    g_buffered_output_stream_new (
      GOutputStream* base_stream
    )

#### Description [src]

Creates a new buffered output stream for a base stream.

#### Parameters

`base_stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `GOutputStream`

A `GOutputStream` for the given `base_stream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.